#ifndef BSTATUSITEM_H
#define BSTATUSITEM_H

#include <QDialog>

namespace Ui {
class BStatusItem;
}

class BStatusItem : public QDialog
{
    Q_OBJECT

public:
    explicit BStatusItem(QWidget *parent = 0);
    ~BStatusItem();
    void InitData(QString);
    QString getChannelName(){
        return m_channelName;
    }
    QString getChannelCode(){
        return m_channelCode;
    }

private slots:
    void on_btsItemYY_clicked();

    void on_btsItemZX_clicked();

private:
    Ui::BStatusItem *ui;

    QString m_channelName;
    QString m_channelCode;
    int m_channelStatus;

signals:
    void setStoreOperatingStatus(const QString&, const QString&,int);

public slots:
    void onSetStoreOperatingStatusFinsh(int newStatus=1);
};

#endif // BSTATUSITEM_H
